/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.cache.ehcache.event;

import com.liferay.portal.kernel.cache.PortalCacheException;
import com.liferay.portal.kernel.cache.PortalCacheManagerListener;

import net.sf.ehcache.event.CacheManagerEventListener;

/**
 * @author Tina Tian
 */
public class EhcachePortalCacheManagerListenerAdapter
	implements PortalCacheManagerListener {

	public EhcachePortalCacheManagerListenerAdapter(
		CacheManagerEventListener cacheManagerEventListener) {

		_cacheManagerEventListener = cacheManagerEventListener;
	}

	@Override
	public void dispose() throws PortalCacheException {
		_cacheManagerEventListener.dispose();
	}

	@Override
	public void init() throws PortalCacheException {
		_cacheManagerEventListener.init();
	}

	@Override
	public void notifyPortalCacheAdded(String portalCacheName) {
		_cacheManagerEventListener.notifyCacheAdded(portalCacheName);
	}

	@Override
	public void notifyPortalCacheRemoved(String portalCacheName) {
		_cacheManagerEventListener.notifyCacheRemoved(portalCacheName);
	}

	private final CacheManagerEventListener _cacheManagerEventListener;

}